
html { 
  scroll-behavior: smooth; 
}

body {
  background-color: #ddd;;
  font-family: "Roboto", serif;
  font-weight: 300;
  margin: 0;
  overflow-y: scroll; /* Show vertical scrollbar */
  overflow-x: hidden; /* Hide horizontal scrollbar */
}
p{
  font-size: 12px;
  color: #000;
  line-height: 16px;
  text-align: justify;
  margin-top: 8px;
  letter-spacing: 1px;
}
span{
  font-size: 12px;
  color: #000;
  line-height: 10px;
}
ul{
  font-size: 12px;
  line-height: 16px;
  list-style-type: '-';
  margin: 8px 0;
}
li{
  color: #000;
}
h2{
  margin: 0;
  font-size: 16px;
  font-weight: 300;
  color: #999;
  letter-spacing: 1px;
  margin-bottom: 2px;
}

/* CONTAINER */
#container{
  width: 40vw;
  margin: 0 auto;
  overflow: hidden;
  padding-top: 80px;
}
/* BOX */
.box{
  margin: 32px 0;
}

/* TITLE*/
#title{
  overflow: hidden;
  display: inline-block;
  margin: 0;
}
#title h1{
    font-size: 48px;
    font-weight: 500;
    color: #000;
    letter-spacing: 6px;
    text-decoration: none;
    margin: 0;
}
#oneliner{
  display: inline-block
}
#oneliner h2{
  color: #999;
    margin: 64px;
    font-size: 12px;
    font-style: italic;
    letter-spacing: 1px;
}

/* MUSIC */
#music{
  display: grid;
  grid-template-columns: 30.67% 30.67% 30.67%;
  column-gap: 4%;
  margin: 0 auto;
  padding-top: 16px;
}
.release{
  margin-bottom: 32px;
}
.release-title{
  font-size: 12px;
  padding: 0px;
  margin: 0px;
  color: #999;
  font-weight: 300;
  letter-spacing: 1px;
  text-decoration: none;
}
.release-description{
  margin: 0px;
  color: #000;
  text-align: left;
  padding: 0px;
  letter-spacing: 1px;
}
.release img{
  width: 100%;
}

/* OTHER STUFF */
#works{
  padding: 32px 0;
}
.work{
  display: block;

}
.work-title{
  display: inline-block;
  font-size: 12px;
  padding: 0px;
  margin: 0px;
  color: #999;
  font-weight: 300;
  letter-spacing: 1px;
  text-decoration: none;
  width: 35%;
}
.work-title:hover{
  text-decoration: underline;
}
.work-description{
  display: inline-block;
  margin: 0px;
  color: #000;
  text-align: left;
  padding: 0px;
  letter-spacing: 1px;
}

/* SOCIAL */
#social{
  text-align: center;
  margin: 40px 0;
  width: 100%;
}
.social-icon{
  width: 24px;
  height: 24px;
  display: inline-block;
  margin:12px;
  background-repeat: no-repeat;
  background-size: contain;
  -webkit-transition: 0.25s ease-in-out;
  -moz-transition: 0.25s ease-in-out;
  -o-transition: 0.25s ease-in-out;
  transition: 0.25s ease-in-out;
}
.social-icon:hover{
  -webkit-transform: scale(1.25,1.25);
  -moz-transform: scale(1.25,1.25);
  -o-transform: scale(1.25,1.25);
  transform: scale(1.25,1.25);
}
#bandcamp{
background-image: url(../media/icons/bandcamp2.svg);
}
#github{
  background-image: url(../media/icons/github.svg);
}
#youtube{
  background-image: url(../media/icons/youtube.svg);
}

/* HOME BUTTON */
#home-but{
  padding-top: 64px;
}
#home-but a{
  text-decoration: none;
  font-size: 32px;
  color: #000;
  letter-spacing: 2px;
}
#home-but a:hover{
  text-decoration: underline;
}
/* CONTACT */
#email{
  font-size:12px
}
#me{
  width: 25%;
}
/* FOOTER */
#footer{
  text-align: center;
  margin: 64px 0;
  color: #999;
}
.image{
  text-align: center;
  width: 100%;
}
.box a{
  color: #000;
  text-decoration: underline;
  font-weight: 500;
}
.box a:hover{
  text-decoration: underline;
}
.centered{
  text-align: center;
  margin: 32px 0;
}
.coming{
  text-align: left;
  padding-top: 100px;
  padding-left: 20px;
}






/* responsive stuff */
@media(max-width: 1700px){
  #container{
    width:50vw;
  }
}

@media (max-width:1400px)  {

  #container{
    width: 54vw;
  }
  #title{
    font-size: 24px;
  }
}

@media(max-width: 1200px){

  #container{
    width: 60vw;
  }
  #title{
    font-size: 24px;
    text-align: center;
  }
}

@media(max-width: 1100px){

  #container{
    width: 75vw;
    }

    .work{
      padding-bottom: 2px;
    }

    .work-title{
      display: block;
    }
    .work-description{
      display: block;
    }
}


@media (max-width:750px)  {

   #container{
    width: 80vw;
  }

  #title{
    width: 100%;
    font-size: 40px;
    margin-bottom: 16px;
    text-align: center;
  }

  .box{
    margin: 0 auto;
    padding-top: 40px;

  }

}


